浏览常见问题解答

如何解决在RHEL 6 和 6.1 X64位服务器版本中安装PowerChute Business Edition 时提示“Failed dependency error on terminal 终端依赖关系失败错误”

发布日期: 25 一月 2013

解决方法:出现以上问题的原因是64位系统在安装的时候丢失了相关的包。PCBE需要在64位操作系统中安装32位的库(glibc,请按以下步骤设置

针对RHEL 6

1,从安装盘里拷贝glibc-2.12-1.7.el6.i686.rpm这个文件到桌面或对在Red Hat Network(RHN)已经注册的用户在以下页面下载

https://access.redhat.com/knowledge/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Developer_Guide/compilers.html

2,双击glibc-2.12-1.7.el6.i686.rpm并选择""Continue Anyway""进行安装

3,在安装过程中会有安装其他软件包的提示请选择""Install""

4,现在可以使用rpm -i pbeagent<version>.rpm正常安装PCBE这个软件了

 

针对 RHEL 6.1

1,在已经注册的Red Hat Network(RHN)上下载glibc-2.12-1.25.el6.i686.rpmnss-softokn-freebl-3.12.9-3.el6.i686.rpm

2,进入到需要安装软件的文件夹下运行以下命令:

yum localinstall --disablerepo=* glibc-2.12-1.25.el6.i686.rpm nss-softokn-freebl-3.12.9-3.el6.i686.rpm

3Type 'yes' when prompted

4,当有提示出现时输入 yes

现在软件包就装好了,可以安装PCBE

PCBE应用程序的版本为8.0.1 9.09.0.1


对您是否有帮助?

我们如何进行信息改进?

找不到您查找的内容?

请联系我们的客户团队,获取有关技术支持、投诉帮助等的信息。